Request a missing tool integration
curl --request POST \
--url https://helve.dev/v1/tools/request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool_name": "Resend",
"use_case": "Send transactional emails from an AI agent without setting up an SMTP account",
"provider": "Resend",
"category": "email",
"docs_url": "https://resend.com/docs"
}
'import requests
url = "https://helve.dev/v1/tools/request"
payload = {
"tool_name": "Resend",
"use_case": "Send transactional emails from an AI agent without setting up an SMTP account",
"provider": "Resend",
"category": "email",
"docs_url": "https://resend.com/docs"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool_name: 'Resend',
use_case: 'Send transactional emails from an AI agent without setting up an SMTP account',
provider: 'Resend',
category: 'email',
docs_url: 'https://resend.com/docs'
})
};
fetch('https://helve.dev/v1/tools/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://helve.dev/v1/tools/request",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool_name' => 'Resend',
'use_case' => 'Send transactional emails from an AI agent without setting up an SMTP account',
'provider' => 'Resend',
'category' => 'email',
'docs_url' => 'https://resend.com/docs'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://helve.dev/v1/tools/request"
payload := strings.NewReader("{\n \"tool_name\": \"Resend\",\n \"use_case\": \"Send transactional emails from an AI agent without setting up an SMTP account\",\n \"provider\": \"Resend\",\n \"category\": \"email\",\n \"docs_url\": \"https://resend.com/docs\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://helve.dev/v1/tools/request")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool_name\": \"Resend\",\n \"use_case\": \"Send transactional emails from an AI agent without setting up an SMTP account\",\n \"provider\": \"Resend\",\n \"category\": \"email\",\n \"docs_url\": \"https://resend.com/docs\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://helve.dev/v1/tools/request")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool_name\": \"Resend\",\n \"use_case\": \"Send transactional emails from an AI agent without setting up an SMTP account\",\n \"provider\": \"Resend\",\n \"category\": \"email\",\n \"docs_url\": \"https://resend.com/docs\"\n}"
response = http.request(request)
puts response.read_body{
"recorded": true,
"tool_name": "<string>",
"status": "<string>",
"id": "<string>",
"created_at": "<string>",
"message": "<string>"
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}Tool Catalog & Discovery
Request missing tool
Log a third-party API or capability you want Helve to onboard next so agents can call it without creating external accounts.
POST
/
v1
/
tools
/
request
Request a missing tool integration
curl --request POST \
--url https://helve.dev/v1/tools/request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool_name": "Resend",
"use_case": "Send transactional emails from an AI agent without setting up an SMTP account",
"provider": "Resend",
"category": "email",
"docs_url": "https://resend.com/docs"
}
'import requests
url = "https://helve.dev/v1/tools/request"
payload = {
"tool_name": "Resend",
"use_case": "Send transactional emails from an AI agent without setting up an SMTP account",
"provider": "Resend",
"category": "email",
"docs_url": "https://resend.com/docs"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool_name: 'Resend',
use_case: 'Send transactional emails from an AI agent without setting up an SMTP account',
provider: 'Resend',
category: 'email',
docs_url: 'https://resend.com/docs'
})
};
fetch('https://helve.dev/v1/tools/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://helve.dev/v1/tools/request",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool_name' => 'Resend',
'use_case' => 'Send transactional emails from an AI agent without setting up an SMTP account',
'provider' => 'Resend',
'category' => 'email',
'docs_url' => 'https://resend.com/docs'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://helve.dev/v1/tools/request"
payload := strings.NewReader("{\n \"tool_name\": \"Resend\",\n \"use_case\": \"Send transactional emails from an AI agent without setting up an SMTP account\",\n \"provider\": \"Resend\",\n \"category\": \"email\",\n \"docs_url\": \"https://resend.com/docs\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://helve.dev/v1/tools/request")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool_name\": \"Resend\",\n \"use_case\": \"Send transactional emails from an AI agent without setting up an SMTP account\",\n \"provider\": \"Resend\",\n \"category\": \"email\",\n \"docs_url\": \"https://resend.com/docs\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://helve.dev/v1/tools/request")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool_name\": \"Resend\",\n \"use_case\": \"Send transactional emails from an AI agent without setting up an SMTP account\",\n \"provider\": \"Resend\",\n \"category\": \"email\",\n \"docs_url\": \"https://resend.com/docs\"\n}"
response = http.request(request)
puts response.read_body{
"recorded": true,
"tool_name": "<string>",
"status": "<string>",
"id": "<string>",
"created_at": "<string>",
"message": "<string>"
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}Authorizations
Body
application/json